summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-04-05 22:38:26 +0000
committerZac Medico <zmedico@gentoo.org>2008-04-05 22:38:26 +0000
commitf70ea3ad9eed6bdf5b52554f26b27bb31f743c73 (patch)
tree3d91d5c4e81e98d42606280e9ede35c712373ea2 /eclass
parentInstall into /opt instead of /usr because it's a binary only application and ... (diff)
downloadhistorical-f70ea3ad9eed6bdf5b52554f26b27bb31f743c73.tar.gz
historical-f70ea3ad9eed6bdf5b52554f26b27bb31f743c73.tar.bz2
historical-f70ea3ad9eed6bdf5b52554f26b27bb31f743c73.zip
Bug #215673 - Make built_with_use() handle default IUSE properly. Thanks
to David Leverton for suggesting this approach which uses a bash array.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/eutils.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index 2a3d48b59e1a..1483a1fbaa1e 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.300 2008/03/01 21:59:54 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.301 2008/04/05 22:38:26 zmedico Exp $
# @ECLASS: eutils.eclass
# @MAINTAINER:
@@ -1712,7 +1712,7 @@ built_with_use() {
fi
if [[ ${hidden} == "no" ]] ; then
- local IUSE_BUILT=$(<${IUSEFILE})
+ local IUSE_BUILT=( $(<"${IUSEFILE}") )
# Don't check USE_EXPAND #147237
local expand
for expand in $(echo ${USE_EXPAND} | tr '[:upper:]' '[:lower:]') ; do
@@ -1722,7 +1722,7 @@ built_with_use() {
fi
done
if [[ -n ${expand} ]] ; then
- if ! has $1 ${IUSE_BUILT} ; then
+ if ! has $1 ${IUSE_BUILT[@]#[-+]} ; then
case ${missing_action} in
true) return 0;;
false) return 1;;